Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10904

Description

Hi,

I tried to open the database table of a very large shape file.

dbf -> 770 MB

shp -> 384 MB

shx -> 7   MB

Loading and visualizing the file works fine, although it takes some minutes, but opening the attribute table fails.

The error message is:

QIconvCodec::convertToUnicode: using ASCII for conversion, iconv_open failed

terminate called after throwing an instance of 'std::bad_alloc'

what():  std::bad_alloc

Abgebrochen (core dumped)

When I generate a stacktrace, all it says is:

#0  0xffffe410 in ?? ()

Cannot access memory at address 0xbf8e8520

    1. Comment by Marco Hugentober:

The problem is that you run out of virtual memory (RAM and

swap partition are full) and so the bad_alloc exception is 

thrown.In the short run we should add a try/catch block and in the long run not read all the rows into memory.

History

#1 - 2007-12-01 03:49 PM - Jürgen Fischer

Marcos fix is already in commit:33b27214 (SVN r7702)

#2 - 2007-12-02 01:20 AM - Otto Dassau

    1. comment by Tim Sutton
This is really a side effect of ticket

https://svn.qgis.org/trac/ticket/135

The table display needs to be redesigned to use qt interview

framework. I have some in progress work to do this, and martin has been doing some similar work in python.

#3 - 2009-03-21 09:33 AM - Paolo Cavallini

Does recently added Better Table by Martin solve this?

#4 - 2009-03-28 03:25 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

I assume (no such large data at hand) it does solve it; please test and reopen it if appropriate

#5 - 2009-07-18 02:38 AM - Neil Robinson -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Opening a large attribute table still fails for me. In fact, if I leave it long enough without killing the qgis process, it hangs my whole system.

Using 1.0.2 on Ubuntu 9.04 -- downloaded from ppa repositories.

Is there some way to get debugging info that I could send through to help with troubleshooting this?

#6 - 2009-07-18 02:46 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Feedback to Closed

The problem should be fixed in 1.1

#7 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
